<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: settings_admin.php
| CVS Version: 1.00
| Author: HobbyMan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("ALOG") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied"); };

include INFUSIONS."sf_admin_log_panel/inc/functions.php";

add_to_title(" | ".$locale['admlog_300']." ".$locale['admlog_400']);
add_to_head("<link rel='stylesheet' href='".ADMIN_LOG_INC."button.css' type='text/css' />");
include ADMIN_LOG_ADMIN."nav_admin.php";

// Check for Categories
	$cat_check = dbarray(dbquery("SELECT * FROM ".DB_ADMIN_LOG_CATS));
	if ($cat_check['log_cat_id'] == 0)  { redirect(ADMIN_LOG_ADMIN."log_cats.php".$aidlink); }

if (isset($_POST['savesettings'])) {
    $error = 0;
	$result = dbquery("UPDATE ".DB_ADMIN_LOG_STGS." SET
	    set_onf='".(isnum($_POST['set_onf']) ? $_POST['set_onf'] : "0")."',
	    set_comm='".(isnum($_POST['set_comm']) ? $_POST['set_comm'] : "0")."',
	    set_admed='".(isnum($_POST['set_admed']) ? $_POST['set_admed'] : "0")."',
	    set_pagnum='".(isnum($_POST['set_pagnum']) ? $_POST['set_pagnum'] : "20")."',
	    set_icons='".(isnum($_POST['set_icons']) ? $_POST['set_icons'] : "0")."'
	");
    if (!$result) { $error = 1; }
   redirect(FUSION_SELF.$aidlink."&error=".$error);
   }
   
  
  opentable($locale['admlog_400']);

  echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
  echo "<table align='center' cellpadding='0' cellspacing='1' width='90%' class='tbl-border'>\n<tr>\n";
  echo "<td class='tbl2' colspan='3' align='left'><b>".$locale['admlog_407']."</b><br /></td>\n";
  
  echo "</tr>\n<tr>\n";

  // Display Panel
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['admlog_411'].":</b></td>\n";
  echo "<td class='tbl2' align='left'>\n";
  echo "<label><input type='radio' name='set_onf' value='1'".($settings_global['set_onf'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['admlog_129']."</label>\n";
  echo "&nbsp;<label><input type='radio' name='set_onf' value='0'".($settings_global['set_onf'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['admlog_130']."</label>\n";
  if ($settings_global['set_onf'] == '1') { $status = $locale['admlog_408']; $traffic_light = $img_on; } else { $status = $locale['admlog_409']; $traffic_light = $img_off;}
  echo "</td><td class='tbl2 small' align='left'>".$traffic_light." [".$locale['admlog_410'].$status."]</td>\n";
  
  echo "</tr>\n<tr>\n";
  
  //Allow Comments
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['admlog_401'].":</b></td>\n";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='set_comm' value='2'".($settings_global['set_comm'] == "2" ? " checked='checked'" : "")." />&nbsp;".$locale['admlog_419']."</label>";
   echo "&nbsp;<label><input type='radio' name='set_comm' value='1'".($settings_global['set_comm'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['admlog_402']."</label>";
  echo "&nbsp;<label><input type='radio' name='set_comm' value='0'".($settings_global['set_comm'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['admlog_130']."</label>";
  if ($settings_global['set_comm'] == '2') { $traffic_light = $img_on; }
  elseif ($settings_global['set_comm'] == '1') { $traffic_light = $img_onf; }
  else { $traffic_light = $img_off;}
  echo "</td><td class='tbl2' align='left'>".$traffic_light."</td>\n";
  
  echo "</tr>\n<tr>\n";
 
  // Admin Edit own logs
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['admlog_406'].":</b></td>\n";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='set_admed' value='1'".($settings_global['set_admed'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['admlog_129']."</label>";
  echo "&nbsp;<label><input type='radio' name='set_admed' value='0'".($settings_global['set_admed'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['admlog_130']."</label>";
  if ($settings_global['set_admed'] == '1') { $traffic_light = $img_on; } else { $traffic_light = $img_off;}
  echo "</td><td class='tbl2' align='left'>".$traffic_light."</td>\n";
  
  echo "</tr>\n<tr>\n";
  
// Icons Colour
  echo "<td class='tbl2' align='right'><b>".$locale['admlog_413'].":</b></td>\n";
  echo "<td class='tbl2' align='left'>";
  
  echo "<table align='left' cellpadding='0' cellspacing='10'>\n<tr>\n";
  echo "<td bgcolor='#FF0000' align='center' class='red-dot'>\n";
  echo "<label><input type='radio' name='set_icons' value='3'".($settings_global['set_icons'] == "3" ? " checked='checked'" : "")." /></label></td>\n";
  echo "<td bgcolor='#008000' align='center' class='green-dot'>\n";
  echo "<label><input type='radio' name='set_icons' value='2'".($settings_global['set_icons'] == "2" ? " checked='checked'" : "")." /></label></td>\n";
  echo "<td bgcolor='#0066FF' align='center' class='blue-dot'>\n";
  echo "<label><input type='radio' name='set_icons' value='1'".($settings_global['set_icons'] == "1" ? " checked='checked'" : "")." /></label></td>\n";
  echo "<td bgcolor='#C0C0C0' align='center' class='grey-dot'>\n";
  echo "<label><input type='radio' name='set_icons' value='0'".($settings_global['set_icons'] == "0" ? " checked='checked'" : "")." /></label></td>\n";
  echo "</tr>\n</table>\n";
  
  echo "</td>\n";
  echo "<td class='tbl2' align='left'>".$img_colour."</td>\n";
  
  echo "</tr>\n<tr>\n";
  
  // Logs per page
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['admlog_412'].":</b></td>\n";
  echo "<td class='tbl2' align='left' colspan='2'>";
  echo "<input type='text' name='set_pagnum' value='".$settings_global['set_pagnum']."' maxlength='10' class='textbox' style='width:40px;' />";
  echo "</td>\n";
  
  echo "</tr>\n<tr>\n";

  echo "<td colspan='3' align='center'>";
  echo "<br /><input type='submit' name='savesettings' value='".$locale['admlog_405']."' class='button'>";
  echo "</td>\n</tr>\n</table>\n</form>\n";
  
closetable();

require_once THEMES."templates/footer.php";
?>