<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

require_once INFUSIONS."sf_admin_log_panel/inc/functions.php";
require_once INCLUDES."bbcode_include.php";
include ADMIN_LOG_INC."check.js";
add_to_title(" | ".$locale['admlog_01']);

// Check for maintenance mode
if (!iADMIN && $settings_global['set_onf'] == '0') { redirect(ADMIN_LOG."maintenance.php"); }

if (iADMIN) {
if (isset($_POST['cancel'])) {
	redirect(ADMIN_LOG.$aidlink);
} elseif (isset($_POST['save_log'])) {
	if (isset($_POST['log_type']) && isnum($_POST['log_type']) && isset($_POST['log_details']) && !empty($_POST['log_details'])) {
		$log_type = $_POST['log_type'];
		$log_status = $_POST['log_status'];
		$log_details = $_POST['log_details'];
		$log_user_cite = $_POST['log_user_cite'];
		$log_public = ((isset($_POST['log_public']) && $_POST['log_public'] == 1) ? 1 : 0);
		if (isset($_GET['action']) && $_GET['action'] == "edit" && isset($_GET['log_id']) && isnum($_GET['log_id'])) {
			$result = dbquery(
				"UPDATE ".DB_ADMIN_LOG." 
				SET log_type='$log_type', log_status='$log_status', log_user_cite='$log_user_cite', log_details='$log_details', log_public='$log_public'
				WHERE log_id='".$_GET['log_id']."'
				LIMIT 1"
			);
		} else {
			$result = dbquery(
				"INSERT INTO ".DB_ADMIN_LOG." (
					log_user,
					log_type,
					log_status,
					log_user_cite,
					log_details,
					log_public,
					log_ip,
					log_timestamp	
				) VALUES (
					'".$userdata['user_id']."',
					'$log_type',
					'$log_status',
					'$log_user_cite',
					'$log_details',
					'$log_public',
					'".USER_IP."',
					'".time()."'
				)"
			);
		}
		redirect(FUSION_SELF.$aidlink);
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} elseif(isset($_GET['action']) && $_GET['action'] == "delete" && isset($_GET['log_id']) && isnum($_GET['log_id'])) {
	$result = dbquery("DELETE FROM ".DB_ADMIN_LOG." WHERE log_id='".$_GET['log_id']."' LIMIT 1");
	redirect(FUSION_SELF.$aidlink);
} elseif(isset($_GET['action']) && $_GET['action'] == "edit" && isset($_GET['log_id']) && isnum($_GET['log_id'])) {
	$result = dbquery("SELECT * FROM ".DB_ADMIN_LOG." WHERE log_id='".$_GET['log_id']."' LIMIT 1");
	if (dbrows($result)) {
		$data = dbarray($result);
		$log_type = $data['log_type'];
		$log_status = $data['log_status'];
		$log_user_cite = $data['log_user_cite'];
		$log_details = $data['log_details'];
		$log_public = $data['log_public'];
		$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;log_id=".$_GET['log_id'];
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} else {
	$log_type = "";
	$log_status = "1";
	$log_user_cite = "";
	$log_details = "";
	$log_public = 0;
	$formaction = FUSION_SELF.$aidlink;
  }
}

if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
		$rowstart = $_GET['rowstart'];
	} else {
		$rowstart = 0;
	}
	$query = "WHERE";
	$query_count = "";
	$log_type = "";
	$log_url = "?";
	
	if (isset($_GET['log_type']) && isnum($_GET['log_type'])) {
		$query .= " log_type='".$_GET['log_type']."'";
		$query_count .= "log_type='".$_GET['log_type']."'";
		$log_type = $_GET['log_type'];
		$log_url = "log_type=".$_GET['log_type']."&amp;";
	}
	if (!iADMIN) {
		$query .= ($query != "WHERE" ? " AND" : "")." log_public='1'";
		$query_count .= ($query_count != "" ? " AND" : "")." log_public='1'";
	}
	if ($query == "WHERE") { $query = ""; }

	
// Check for Categories
	$cat_check = dbarray(dbquery("SELECT * FROM ".DB_ADMIN_LOG_CATS));
	if ($cat_check['log_cat_id'] == 0)  {
	opentable($locale['admlog_01']);
    echo "<br /><div align='center'>".$locale['admlog_301']."<br /><br />".$locale['admlog_302']."</div>\n";
    echo "<br />";
    if (iADMIN && checkrights("ALOG")) {
    echo "<div align='center' class='small'><a href='".ADMIN_LOG_ADMIN."index.php".$aidlink."'>".$locale['admlog_300']."</a></div><br />\n"; }
    closetable();

    } else {
    
// Maintenance message for Admins
    if ($settings_global['set_onf'] == '0') { 
    echo "<div class='admin-message'>".$locale['admlog_418']."</div>\n"; }
    
// Options  
    opentable($locale['admlog_100']);
    
    echo "<table width='100%'>\n<tr>\n";
    echo "<td align='left'>";
    echo "<form action='".FUSION_SELF."' method='get'>\n";
    $log_cat_list = ""; $sel = "";
	$resulta = dbquery("SELECT log_cat_id, log_cat_name FROM ".DB_ADMIN_LOG_CATS." ORDER BY log_cat_id ASC");
	if (dbrows($resulta) != 0) {
		while ($data = dbarray($resulta)) {
			$sel = ($log_type == $data['log_cat_id'] ? " selected='selected'" : "");
			$log_cat_list .= "<option value='".$data['log_cat_id']."'$sel>".$data['log_cat_name']."</option>\n";
		}
	}
    
	echo "".$locale['admlog_126'].": <select name='log_type' class='textbox' onChange='submit();'>\n<option>".$locale['admlog_101']."</option>\n$log_cat_list</select>\n ";
	echo "</form></td>\n";
	
	echo "<td width='16' valign='top'><input id='checkkey' type='checkbox' /></td>\n";
    echo "<td class='small' valign='top'>\n<div id='showkey'>\n<label>
    ".$img_open." - ".$locale['admlog_351']." ".$img_closed." - ".$locale['admlog_352']."";
     if (iADMIN) { echo "&nbsp;".$img_public." - ".$locale['admlog_353']." ".$img_admin_only." - ".$locale['admlog_354']." ".$img_edit." - ".$locale['admlog_355']." ".$img_delete." - ".$locale['admlog_356'].""; }
     echo "</label>\n</div>\n</td>\n";
     echo "</tr>\n</table>\n";
	closetable(); 	
	}

// Admin Form	
	if (iADMIN) {
		opentable($locale['admlog_102']);
		echo "<form name='inputform' method='post' action='$formaction'>\n";
		echo "<table cellspacing='0' cellpadding='0' class='center'>\n<tr>\n";
		echo "<td valign='top' class='tbl'>".$locale['admlog_123'].":</td>\n";
		echo "<td valign='top' class='tbl'>";
		$log_cat_list = ""; $sel = "";
		$resulta = dbquery("SELECT log_cat_id, log_cat_name FROM ".DB_ADMIN_LOG_CATS." ORDER BY log_cat_id ASC");
		if (dbrows($resulta) != 0) {
		while ($data = dbarray($resulta)) {
		$sel = ($log_type == $data['log_cat_id'] ? " selected='selected'" : "");
		$log_cat_list .= "<option value='".$data['log_cat_id']."'$sel>".$data['log_cat_name']."</option>\n";
			}
		}
		echo "<select name='log_type' class='textbox' style='width:200px;'>\n".$log_cat_list."</select>";
		echo "&nbsp;<input type='checkbox' name='log_public' value='1' class='textbox'".($log_public == 1 ? " checked='checked'" : "")." />&nbsp;".$locale['admlog_103']."</label>";
		echo "</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td valign='top' class='tbl'>".$locale['admlog_127']." ".$locale['admlog_121'].":</td>\n";  
		echo "<td valign='top' class='tbl'>\n";
		if ($log_user_cite == 0) { $member = ""; } else { $member = $log_user_cite; }
		echo "<input type='text' class='textbox' name='log_user_cite' value='".$member."' style='width:100px;'></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td valign='top' class='tbl'>".$locale['admlog_131'].":</td>\n";
		echo "<td valign='top' class='tbl'>\n";
		echo "<select name='log_status' class='textbox'>\n";
		echo "<option value='0'".($log_status == "0" ? " selected" : "").">".$locale['admlog_132']."</option>\n";
		echo "<option value='1'".($log_status == "1" ? " selected" : "").">".$locale['admlog_133']."</option>\n";
		echo "</select>\n";
		echo "</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td valign='top' class='tbl'>".$locale['admlog_104']."</td>\n";
		echo "<td valign='top' class='tbl'><textarea name='log_details' cols='60' rows='5' class='textbox' style='width:600px;'>$log_details</textarea><br />\n";
		echo display_bbcodes("600px", "log_details")."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td colspan='2' align='center' class='tbl'><br />\n";
		echo "<input type='submit' name='save_log' value='".$locale['admlog_105']."' class='button' />\n";
		echo "<input type='reset' name='cancel' value='".$locale['admlog_106']."' class='button' />\n";
		echo "</td>\n</tr>\n</table>\n</form>\n";
		closetable();
	}
	
// Display Logs
	opentable($locale['admlog_03']);
	$result = dbquery(
		"SELECT l.*, u.user_name 
		FROM ".DB_ADMIN_LOG." l
		LEFT JOIN ".DB_USERS." u ON u.user_id=l.log_user
		$query
		ORDER BY log_timestamp DESC
		LIMIT $rowstart,$logpp"
	);
     
	$rows = dbcount("(log_id)", DB_ADMIN_LOG, $query_count);
	if ($rows) {
		echo "<table class='tbl-border' width='100%'>\n<tr>\n";
		echo "<td class='tbl2' width='1%'><strong>".$locale['admlog_121']."</strong></td>\n";
		echo "<td class='tbl2' width='40'><strong>".$locale['admlog_131']."</strong></td>\n";
		echo "<td class='tbl2' width='1%'><strong>".$locale['admlog_107']."</strong></td>\n";
		echo "<td class='tbl2' width='1%'><strong>".$locale['admlog_108']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['admlog_109']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['admlog_104']."</strong></td>\n";
		echo "<td class='tbl2' width='100'><strong>".$locale['admlog_137']."</strong></td>\n";
		
		if (iADMIN) { echo "<td class='tbl2'><strong>".$locale['admlog_110']."</strong></td>\n";
		              echo "<td class='tbl2' width='60' align='center'><strong>".$locale['admlog_138']."</strong></td>\n"; }
		echo "</tr>\n";
		while($data = dbarray($result)) {
		
		$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
			echo "<td class='$cell_color' align='center' valign='top'>".$data['log_id']."</td>\n";
			echo "<td class='$cell_color' align='center'>".($data['log_status'] == 0 ? $img_open : $img_closed)."</td>\n";
			echo "<td class='$cell_color small' valign='top'>".showdate("%d/%m/%Y", $data['log_timestamp'])."</td>\n";
			echo "<td class='$cell_color' valign='top'><a href='".BASEDIR."profile.php?lookup=".$data['log_user']."'>".$data['user_name']."</a></td>\n";

			$log_type = $data['log_type'];
			$data_cat = dbarray(dbquery("SELECT * FROM ".DB_ADMIN_LOG_CATS." WHERE log_cat_id = '$log_type'"));
			
			$user_cite = $data['log_user_cite'];
			$data_member = dbarray(dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_id = '$user_cite'"));			

			echo "<td class='$cell_color' valign='top'><a href='".FUSION_SELF."?log_type=".$data['log_type']."'>".$data_cat['log_cat_name']."</a></td>\n";
			echo "<td class='$cell_color' valign='top'>";
			if (iADMIN) { $memberlink = "<a href='".ADMIN."members.php".$aidlink."&amp;step=view&amp;user_id=".$data_member['user_id']."'>".$data_member['user_name']."</a>&nbsp;";
		} 
			else { $memberlink = "<a href='".BASEDIR."profile.php?lookup=".$data_member['user_id']."'>".$data_member['user_name']."</a>&nbsp;"; 
		}
			if ($user_cite !='0') { echo "".$locale['admlog_128']." ".$memberlink.""; }
			if (iADMIN) { $logtext = "50"; } else { $logtext = "60"; }
			require_once INCLUDES."bbcode_include.php";
			echo "".nl2br(parseubb(parsesmileys(trimlink($data['log_details'], $logtext))))."</td>\n";
			
			echo "<td class='$cell_color small' align='center' valign='top'>\n";
			
			$comm_count = (dbcount("(comment_id)", DB_COMMENTS, "comment_type='AL' AND comment_item_id='".$data['log_id']."'"));
			
			if ($settings_global['set_comm'] != '0') {
			$title = "".sprintf($locale['admlog_117'], $data['log_id'])."";
			echo "<a href='".ADMIN_LOG."log_view.php?log_id=".$data['log_id']."' title='$title'>[".$comm_count." ".$locale['global_073']."]</a>&nbsp;";
		} else { 
			echo "<a href='".ADMIN_LOG."log_view.php?log_id=".$data['log_id']."' title='".$locale['admlog_115']." ".$data['log_id']."'>[".$locale['admlog_134']."]</a>";
		}
		
		echo "</td>\n";
			
			if (iADMIN) { echo "<td class='$cell_color small' align='center'>".($data['log_public'] == 1 ? $img_public : $img_admin_only)."</td>\n";
		}
			
            if ($settings_global['set_admed'] == '1'  || iSUPERADMIN) {
            
            if (iADMIN && ($data['log_user'] == $userdata['user_id']) || (iADMIN && checkrights("ALOG"))) {
            echo "<td class='$cell_color small' align='center'>";
			echo "<a title='".$locale['admlog_124']." ".$locale['admlog_112']." ".$data['log_id']."' href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;log_id=".$data['log_id']."'>";
			echo "".$img_edit."</a>";
			echo "&nbsp;<a title='".$locale['admlog_125']." ".$locale['admlog_112']." ".$data['log_id']."' href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;log_id=".$data['log_id']."' onclick=\"return confirm('".$locale['admlog_125']." ".$locale['admlog_112']." ".$data['log_id']."?');\">";
			echo "".$img_delete."</a>";
			echo "</td>\n";
			     }
			  }
			
			echo "</tr>\n";
			$i++;
		}
		echo "</table>\n";
			
	} else {
		echo "<div align='center'>".$locale['admlog_113']."</div>";
	}
	if ($rows > $logpp) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$logpp,$rows,3,FUSION_SELF.$log_url)."\n</div>\n";
	
	closetable();
     
require_once THEMES."templates/footer.php";
?>