<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: functions.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// General Definitions
define("ADMIN_LOG", INFUSIONS."sf_admin_log_panel/");
define("ADMIN_LOG_ADMIN", ADMIN_LOG."admin/");
define("ADMIN_LOG_INC", ADMIN_LOG."inc/");
require_once ADMIN_LOG."infusion_db.php";

if (file_exists(INFUSIONS."sf_admin_log_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."sf_admin_log_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."sf_admin_log_panel/locale/English.php";
}

$settings_global = dbarray(dbquery("SELECT * FROM ".DB_ADMIN_LOG_STGS));

if ($settings_global['set_icons'] == '3') { define("ADMIN_LOG_IMG", ADMIN_LOG."img/red/"); } 
elseif ($settings_global['set_icons'] == '2') { define("ADMIN_LOG_IMG", ADMIN_LOG."img/green/"); }
elseif ($settings_global['set_icons'] == '1') { define("ADMIN_LOG_IMG", ADMIN_LOG."img/blue/"); }
else { define("ADMIN_LOG_IMG", ADMIN_LOG."img/grey/"); }


// Image Definitions
$img_open = "<img src='".ADMIN_LOG_IMG."open.gif' border='0' alt='".$locale['admlog_132']."' title='".$locale['admlog_132']."' />";
$img_closed = "<img src='".ADMIN_LOG_IMG."closed.gif' border='0' alt='".$locale['admlog_133']."' title='".$locale['admlog_133']."' />";
$img_public = "<img src='".ADMIN_LOG_IMG."public.gif' border='0' alt='".$locale['admlog_110']."' title='".$locale['admlog_110']."' />";
$img_admin_only = "<img src='".ADMIN_LOG_IMG."admin.gif' border='0' alt='".$locale['admlog_130']."' title='".$locale['admlog_130']."' />";
$img_edit = "<img src='".ADMIN_LOG_IMG."edit.gif' border='0' alt='".$locale['admlog_117']."' />";
$img_delete = "<img src='".ADMIN_LOG_IMG."delete.gif' border='0' alt='".$locale['admlog_125']."' />";
$img_home = "<img src='".ADMIN_LOG_IMG."home.gif' border='0' alt='".$locale['admlog_119']."' title='".$locale['admlog_119']."' />";
$img_on = "<img src='".ADMIN_LOG."img/green.gif' border='0' alt='".$locale['admlog_129']."' />";
$img_onf = "<img src='".ADMIN_LOG."img/orange.gif' border='0' alt='".$locale['admlog_129']."' />";
$img_off = "<img src='".ADMIN_LOG."img/red.gif' border='0' alt='".$locale['admlog_130']."' />";
$img_colour = "<img src='".ADMIN_LOG_IMG."colour.gif' border='0' alt='".$locale['admlog_413']."' />";
$img_note = "<img src='".ADMIN_LOG_IMG."note.gif' border='0' alt='' />";

$logpp = $settings_global['set_pagnum'];

// SF Admin Log Version
$_ADMIN_LOG_VERSION = "2.0.0";


?>